Group: Text tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Convert to XML on the fly
Name: xmlfy
Version: 1.5.7
Release: alt2_7
License: BSD
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
URL: http://xmlfy.sourceforge.net/

BuildRequires:  gcc
Source44: import.info
%description 
The xmlfy command is a powerful yet lightweight tool that primarily
caters for converting ASCII, UTF-8, UTF-16 or UTF-32 based output
into XML format on the fly and dealing with common issues associated
with this kind of transformation. xmlfy can be invoked from the command
line or from within a shell script to transform data quickly, easily
and reliably.

xmlfy provides many features and options to capture and encapsulate data
between XML tags for both simple and complex XML tree hierarchies. The
behavior of xmlfy is controlled by arguments and/or by specifying a
schema file providing high levels of flexibility and customization for
differing input scenarios.

With the increasing presence of object-oriented systems requiring well
structured data presentation, xmlfy allows you to convert your raw data
into XML format easily which can then be used as input for modern
object-oriented systems e.g. XML style sheets (XSLT).

%prep
%setup -q

%build
make RPM_OPT_FLAGS="%{optflags}"

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
make DESTDIR=%{buildroot} bindir=%{_bindir} mandir=%{_mandir} RPM_OPT_FLAGS="%{optflags}" install

%files
%doc README
%doc LICENSE

%{_bindir}/*
%{_mandir}/man*/*

%changelog
* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.5.7-alt2_7
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.5.7-alt2_6
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.5.7-alt2_5
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.5.7-alt2_4
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.5.7-alt2_3
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.5.7-alt2_2
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.5.7-alt1_2
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 1.5.7-alt1_1
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_13
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_12
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_11
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_10
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_9
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_7
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_6
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_5
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_4
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_3
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_2
- update to new release by fcimport

* Sat May 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_1
- update to new release by fcimport

* Tue Apr 30 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_4
- initial fc import

